<?php 
$base_url  = "http://localhost/modelo/";

$url_atual = $_POST["url"];
$audio     = $_POST["audio"];
$palavras  = explode(" ", $audio);


$email_destino = $url_atual."&voz_email=1";

// var_dump($email_destino);
// die();

	$array_key = array_keys($palavras);
  		foreach ($array_key as $value) {

  			if($palavras[$value] == 'do' or $palavras[$value] == 'da'){

  				$voz_nome = $palavras[$value+1]." ".$palavras[$value+2];
  				//echo $nome;
  				//die();
  			}

  			if($palavras[$value] == 'empreendimento' or $palavras[$value] == 'loteamento'){

  				$voz_empreendimento = $palavras[$value+1];
  				//echo $nome;
  				//die();
  			}

  			if($palavras[$value] == 'Quadra' or $palavras[$value] == 'quadra'){

  				$quadra = $palavras[$value+1];
  				//echo $nome;
  				//die();
  			}

  			if($palavras[$value] == 'Lote' or $palavras[$value] == 'lote'){

  				$lote = $palavras[$value+1];
  				//echo $nome;
  				//die();
  			}

        if($palavras[$value] == 'número' or $palavras[$value] == 'Número'){

          $numero = $palavras[$value+1];
          //echo $nome;
          //die();
        }

        if($palavras[$value] == 'cpf' or $palavras[$value] == 'CPF'){

          $cpf = $palavras[$value+1];
          //echo $nome;
          //die();
        }
  		}

if (in_array('inadimplência', $palavras) and in_array('90', $palavras)) {
 	$url = $base_url.'contratolocacao/inadimplentes.php?situacao=1&voz_empreendimento='.$voz_empreendimento;
 	echo $url;
 	return $url;
 }

if (in_array('inadimplência', $palavras) and in_array('60', $palavras)) {
 	$url = $base_url.'contratolocacao/inadimplentes.php?situacao=2&voz_empreendimento='.$voz_empreendimento;
 	echo $url;
 	return $url;
 }

 if (in_array('inadimplência', $palavras) and in_array('30', $palavras)) {
 	$url = $base_url.'contratolocacao/inadimplentes.php?situacao=3&voz_empreendimento='.$voz_empreendimento;
 	echo $url;
 	return $url;
 }

  if (in_array('inadimplência', $palavras) and (in_array('do', $palavras) or in_array('da', $palavras)) ){

 	$url = $base_url.'contratolocacao/inadimplentes.php?situacao=3&voz_nome='.$voz_nome.'&voz_empreendimento='.$voz_empreendimento;
 	echo $url;
 	return $url;
 }

 /// relatorio de vendas
 //  if (in_array('relatório', $palavras) and (in_array('venda', $palavras) or in_array('vendas', $palavras)) ){

 //  $url = $base_url.'contratolocacao/inadimplentes.php?situacao=3&voz_nome='.$voz_nome.'&voz_empreendimento='.$voz_empreendimento;
 //  echo $url;
 //  return $url;
 // }

 /// relatorio de vendas
  if (in_array('relatório', $palavras) and (in_array('venda', $palavras) or in_array('vendas', $palavras)) ){

  $url = $base_url.'contratolocacao/inadimplentes.php?situacao=3&voz_nome='.$voz_nome.'&voz_empreendimento='.$voz_empreendimento;
  echo $url;
  return $url;
 }


////// Lotes Disponiveis
if (in_array('lotes', $palavras) and in_array('disponíveis', $palavras) and in_array('e-mail', $palavras)) {
 	$url = $base_url.'contratolocacao/relatorio_lotes_disponiveis-1.php?com_valor=0&busca_lote=Consultar&voz_empreendimento='.$voz_empreendimento.'&voz_email=1';
 	echo $url;
 	return $url;
 }

if (in_array('lotes', $palavras) and in_array('disponíveis', $palavras)) {
 	$url = $base_url.'contratolocacao/relatorio_lotes_disponiveis-1.php?com_valor=0&busca_lote=Consultar&voz_empreendimento='.$voz_empreendimento;
 	echo $url;
 	return $url;
 }


// Leads

if (in_array('Lides', $palavras) or in_array('Ladies', $palavras) or in_array('slides', $palavras)) {
 	$url = $base_url."crm_tratalead.php";
 	echo $url;
 	return $url;
 }


 // Historico de atividades

if (in_array('histórico', $palavras) or in_array('atividades', $palavras)) {
 	$url = $base_url."atividades.php";
 	echo $url;
 	return $url;
 }

 	// Exibir o mapa do empreendimento
if (in_array('mapa', $palavras) AND (in_array('loteamento', $palavras) OR in_array('empreendimento', $palavras)) ){
 	$url = $base_url."lotes_mapa.php?voz_empreendimento=".$voz_empreendimento;
 	echo $url;
 	return $url;
 }

 
 	// Cadastrar Cliente
if (in_array('cliente', $palavras) AND (in_array('cadastrar', $palavras) OR in_array('cadastro', $palavras)) ){
 	$url = $base_url."cadastro_cliente.php";
 	echo $url;
 	return $url;
 }

 		// Abrir um contrato
 if (in_array('contrato', $palavras) AND (in_array('mostre', $palavras) OR in_array('abra', $palavras) OR in_array('mostrar', $palavras)) ){
 	$url = $base_url."ver_contrato_empreendimento.php?voz_nome=".$voz_nome;
 	echo $url;
 	return $url;
 }

  		// Reservar um Lote
 if ((in_array('Quadra', $palavras) or in_array('quadra', $palavras)) AND  (in_array('Lote', $palavras) or in_array('lote', $palavras))AND (in_array('empreendimento', $palavras) or in_array('loteamento', $palavras) )AND (in_array('reserve', $palavras) OR in_array('reservar', $palavras) OR in_array('reserva', $palavras)) ){
 	$url = $base_url."reserva_assistente.php?empreendimento=".$voz_empreendimento.'&quadra='.$quadra.'&lote='.$lote;
 	echo $url;
 	return $url;
 }


  if ((in_array('Quadra', $palavras) or in_array('quadra', $palavras)) AND  (in_array('Lote', $palavras) or in_array('lote', $palavras))AND (in_array('empreendimento', $palavras) or in_array('loteamento', $palavras) )AND (in_array('bloqueie', $palavras) OR in_array('bloquear', $palavras) OR in_array('bloqueio', $palavras)) ){
 	$url = $base_url."bloqueio_assistente.php?empreendimento=".$voz_empreendimento.'&quadra='.$quadra.'&lote='.$lote;
 	echo $url;
 	return $url;
 }



  if ((in_array('simulação', $palavras) or in_array('Simulação', $palavras)) AND  (in_array('número', $palavras) or in_array('Número', $palavras)) ){
  $url = $base_url."demonstra_simulacao.php?id=".$numero;
  echo $url;
  return $url;
 }

   if ((in_array('mande', $palavras) or in_array('envie', $palavras)) AND  (in_array('e-mail', $palavras) or in_array('E-mail', $palavras)) ){
  $url = $email_destino;
  echo $url;
  return $url;
 }


   if ((in_array('você', $palavras)) AND  (in_array('está', $palavras) or in_array('ouvir', $palavras)) ){
  $url = $base_url."painel.php?apresente=1";
  echo $url;
  return $url;
 }

   if ((in_array('reserve', $palavras) or (in_array('reserva', $palavras))) AND  (in_array('cpf', $palavras) or in_array('CPF', $palavras)) ){
    $cpf = 
  $url = $base_url."painel.php?cpf=".$cpf;
  echo $url;
  return $url;
 }
?>